> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# General

> Showcasing API endpoints

## API Key

Some methods that don't require a Bearer token may instead require an API key:

```http theme={null}
GET /v1/public-endpoint
X-API-Key: krqySJEM6q4qxcVcxqPgV4BhsHViBKy9
```

## Language Support

The API supports multiple languages. Specify your preferred language using the `Accept-Language` header:

```http theme={null}
GET /v1/users/:id
Accept-Language: en
```

Supported languages:

* English (en)
* German (de)
* French (fr)
* Italian (it)

## Example Endpoints

### User Registration

```http theme={null}
POST /v1/users/initiate-registration
Content-Type: application/json
Accept-Language: en
X-API-Key: krqySJEM6q4qxcVcxqPgV4BhsHViBKy9

{
  "credential_type": "email",
  "credential_value": "newuser@example.com",
  "password": "secure_password",
  "terms_accepted": true,
  "privacy_policy_accepted": true
}
```

### Get User Credentials

```http theme={null}
GET /v1/users/:id/credentials
Authorization: Bearer eyJhbGciOi...VzJtI4OGn6rqk_H4ioRM
Accept-Language: de
```

### Validate a User Credential

```http theme={null}
PUT /v1/users/:id/credentials/:credential_id/validate
Authorization: Bearer eyJhbGciOi...VzJtI4OGn6rqk_H4ioRM
Content-Type: application/json
Accept-Language: fr

{
    "otp": "753205"
}
```

<Note>Make sure to use your values for variables `:id`, `:credential_id`, `Authorization`, `X-API-Key`, `X-Device-ID` and others</Note>
